Bug 212444 - fence_xvmd reboot does not work
fence_xvmd reboot does not work
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 15:55 EDT by Lon Hohberger
Modified: 2009-04-16 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-22 20:44:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
makes reboot work (2.49 KB, patch)
2006-10-26 16:29 EDT, Lon Hohberger
no flags Details | Diff
Use 'reboot' as default instead of 'off' since reboot works; requires above patch (733 bytes, patch)
2006-10-26 17:57 EDT, Lon Hohberger
no flags Details | Diff
handle 0.1.9 status from libvirt (VIR_DOMAIN_SHUTOFF) as a successful operation (4.11 KB, patch)
2006-12-01 17:15 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-10-26 15:55:30 EDT
Description of problem:

The 'reboot' operation for xen fencing does not work.  This has two causes:

(a) libvirt does not have a guaranteed immediate synchronous reboot option.  The
only "reboot" operation it has is worthless, because it is equivalent to a
soft-shutdown / init 6 / ACPI soft-powerdown event.  Supposedly, this could be
implemented with the xen 3.0.3 APIs, but it does not appear to be in libvirt, at
least not according to the documentation here:


(b) xend unlinks the temporary images set up by pygrub, making the
virDomainGetXMLDesc() information about the kernel and initrd.

A solution to (b) above is to kill the entire <os> tag.  Here's an example XML
desc from virDomainGetXMLDesc:

<domain type='xen' id='10'>
    <cmdline>ro root=/dev/VolGroup00/LogVol00 console=xvc0 rhgb quiet</cmdline>
    <interface type='bridge'>
      <source bridge='xenbr1'/>
      <mac address='00:16:3e:37:02:d9'/>
      <script path='vif-bridge'/>
    <disk type='file' device='disk'>
      <driver name='tap' type='aio'/>
      <source file='/tmp/futon2.dsk'/>
      <target dev='xvda'/>
    <console tty='/dev/pts/4'/>

All we need to do is blank-out the <os> tag and all children, and it will fall
back to pygrub.
Comment 1 Lon Hohberger 2006-10-26 16:29:38 EDT
Created attachment 139524 [details]
makes reboot work
Comment 2 Kiersten (Kerri) Anderson 2006-10-26 17:37:22 EDT
GA Blocker request - Xen hasn't been stable enough during this cycle to address
some of the interesting scenarios, so wouldn't hold up beta2 for this support.
Comment 3 RHEL Product and Program Management 2006-10-26 17:46:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 4 Lon Hohberger 2006-10-26 17:57:04 EDT
Created attachment 139532 [details]
Use 'reboot' as default instead of 'off' since reboot works; requires above patch
Comment 5 Kiersten (Kerri) Anderson 2006-12-01 16:08:00 EST
Fails initial testing with the updating library so marking it FAILS_QA
Comment 6 Lon Hohberger 2006-12-01 17:15:46 EST
Created attachment 142630 [details]
handle 0.1.9 status from libvirt (VIR_DOMAIN_SHUTOFF) as a successful operation

incremental; requires previous 2 patches
Comment 7 Benjamin Kahn 2006-12-12 11:33:33 EST
Lon:  This should have been in modified for weeks.
Comment 8 RHEL Product and Program Management 2006-12-22 20:44:35 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 9 Nate Straz 2007-12-13 12:21:47 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.